vpx_svc_frame_drop Struct Reference
Supported Codecs » VP8 » WebM VP8/VP9 Encoder

vp9 svc frame dropping parameters. More...

`#include <vp8cx.h>`

## Data Fields

int | framedrop_thresh [5]
SVC_LAYER_DROP_MODE | framedrop_mode
int | max_consec_drop

## Detailed Description

vp9 svc frame dropping parameters.

This defines the frame drop thresholds for each spatial layer, and the frame dropping mode: 0 = layer based frame dropping (default), 1 = constrained dropping where current layer drop forces all upper spatial layers to drop.

## Field Documentation

## framedrop_thresh

int vpx_svc_frame_drop::framedrop_thresh[5]

Frame drop thresholds

## framedrop_mode

SVC_LAYER_DROP_MODE vpx_svc_frame_drop::framedrop_mode

Layer-based or constrained dropping.

## max_consec_drop

int vpx_svc_frame_drop::max_consec_drop

Maximum consecutive drops, for any layer.

The documentation for this struct was generated from the following file:

- vpx/vp8cx.h